<?
  include ("../../../admin/config/cfg.php");
  global $cwlang, $cwLanguage;
  
  //================ PAGE LOGIC ================
  if (count($_POST)>0) {
    $data=$_POST["right"];
    $entry=Array(
            "id" => $data["id"],
            "name" => $data["name"],
            "action"=>$_POST["action"][0], 
            "action_option"=>$_POST["action_option"][0][$_POST["action"][0]]        
    );
        
    if (is_array($_POST["group"]))
    foreach($_POST["group"] as $g) $entry["group"][]=$g;
    if (is_array($_POST["application"]))
    foreach($_POST["application"] as $a) $entry["application"][]=$a;
    //echo "<pre>";print_r($entry);phpinfo();die;
    $ret=$asterisk->putRight($entry);
    if ($ret>0) {
      $alert="<div class=\"AlertGood\">".$cwlang["right"]["alertModGood"]."</div>";
      $_GET["id"]=$ret;
    } else $alert="<div class=\"AlertBad\">".$cwlang["right"]["alertModBad"]."</div>";

    goToMainPage($alert);
  }

  if ($_GET["id"]!="") {
    //retrieve the right informations
    $rig=$asterisk->getRight($_GET["id"]);
    $rigname=$rig[0]["name"];
    $riggroup=$rig[0]["group"];
    $rigapplication=$rig[0]["application"];
    $rigaction=$rig[0]["action"];
    $rigaction_option=$rig[0]["action_option"];

    $title=$cwlang["right"]["modRight"]." $rigname";
  } else $title=$cwlang["right"]["newRight"];
    
  $ret=$asterisk->getGroup(0,0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $count=0;
  if (is_array($ret))
  foreach($ret as $v) {
    $id=$v["id"];
    $name=$v["name"];
    $type=$v["type"];
    if ($type==GROUP_OF_CLIENT)     $prot="<img src=\"$relBasePath/public/img/client.gif\" alt=\"client\" />";
    if ($type==GROUP_OF_DEPARTMENT) $prot="<img src=\"$relBasePath/public/img/dep.gif\" alt=\"department\" />";
    if ($type==GROUP_OF_RESOURCE)   $prot="<img src=\"$relBasePath/public/img/res.gif\" alt=\"resource\" />";
    if ($type==GROUP_OF_PHONENUMBER)$prot="<img src=\"$relBasePath/public/img/number.gif\" alt=\"Phone Number\" />";
    if (@in_array($id, $riggroup)) $chk="checked='checked'"; else $chk=""; 
    $html.="<td> <input type=\"checkbox\" name=\"group[]\" value=\"$id\" $chk/> $prot $name </td>\n";
    if ((++$count)%2==0) $html.="</tr><tr>\n";
  }

  $ret=$asterisk->getApplication(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $count=0;
  if (is_array($ret))
  foreach($ret as $v) {
    $id=$v["id"];
    $name=$v["name"];
    $description=str_replace("\n","<br>",htmlentities($v["description"]));
    if ($_GET["id"]!="") if (@in_array($id, $rigapplication)) $chk="checked='checked'"; else $chk="";
    else if ($v["default"]==1) $chk="checked='checked'"; else $chk="";
    $html_app.="<td onmouseover=\"help(this,'$description')\"> <input type=\"checkbox\" name=\"application[]\" value=\"$id\" $chk /> $name </td>\n";
    //$html_app.="<div><input type=\"checkbox\" name=\"application[]\" value=\"$id\" $chk /> $name </div>\n";
    if ((++$count)%3==0) $html_app.="</tr><tr>\n";
  }
  
  $actions=getHtmlAction("0",$rigaction,$rigaction_option);
  
  //================ MAIN CONTENTS ================
  ob_start();
  ?>
  <div class="SectionHeader">
  <?=$alert?>
    <h1><?=$title?></h1>
    <h3>
      <a href="../" class="admin" ><?=$cwlang["right"]["return"]?></a> 
    </h3>
  </div>

  <div id="basic_form">
    <form action="<?=$PHP_SELF?><?if ($_GET["id"]!="") echo "?id=".$_GET["id"]; ?>" method="post">
      
      <div >
        <h3><?=$cwlang["right"]["groupList"]?></h3>
        <p class="blockintro"><?=$cwlang["right"]["groupListDesc"]?></p>
        <div class="block">
          <dl>
            <dt class="required"><label for="right[name]"><?=$cwlang["right"]["name"]?>:</label></dt>
            <dd><input type="text" size="25" maxlength="30" id="right[name]" name="right[name]" value="<?=$rigname?>" /></dd>
            <?=$cwlang["right"]["nameHelp"]?>
          </dl>
          <p class="blockintro"><?=$cwlang["right"]["checkGroup"]?></p>
          <table  >
            <tr><?=$html?></tr>
          </table>

          <p class="blockintro"><?=$cwlang["right"]["checkApps"]?></p>
          <table  >
            <tr><?=$html_app?></tr>
          </table>
        </div>
      </div>      

      <div >
        <h3><?=$cwlang["right"]["action"]?></h3>
        <p class="blockintro"><?=$cwlang["right"]["actionDesc"]?></p>
        <div class="block">
          <?=$actions?>       
        </div>
      </div>      
      
      <div class="action">
        <? if ($_GET["id"]!="") {?><input type="hidden" name="right[id]" value="<?=$_GET["id"]?>" /><?}?>
        <input type="image" src="<?=$relBasePath?>/public/img/<?=$cwLanguage?>/b-cancel.gif" alt="Cancel" onclick="location.href='../'; return false;"/>
        <input type="image" src="<?=$relBasePath?>/public/img/<?=$cwLanguage?>/b-save.gif" alt="Save" />
      </div>
    </form>
  </div>  
  
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <h1><?=$cwlang["right"]["editSidebar"]?></h1>
          <?=$cwlang["right"]["editSidebarDesc"]?>
          <div id="help"></div>
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================

  $smarty->assign("section", "rights");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>

